booster::detail::sp_counted_impl_pda< P, D, A > Class Template Reference
Inheritance diagram for booster::detail::sp_counted_impl_pda< P, D, A >:

## Public Member Functions

| sp_counted_impl_pda (P p, D d, A a)
virtual void | dispose ()
virtual void | destroy ()
virtual void * | get_deleter (detail::sp_typeinfo const &ti)
Public Member Functions inherited from booster::detail::sp_counted_base
void | add_ref_copy ()
bool | add_ref_lock ()
void | release ()
void | weak_add_ref ()
void | weak_release ()
long | use_count () const

The documentation for this class was generated from the following file:

- booster/smart_ptr/sp_counted_impl.h